{
  "schema_version": "1.4.0",
  "id": "GHSA-rjwr-8pfc-m94f",
  "modified": "2022-05-24T17:41:52Z",
  "published": "2022-05-24T17:41:52Z",
  "aliases": [
    "CVE-2019-19004"
  ],
  "details": "A biWidth*biBitCnt integer overflow in input-bmp.c in autotrace 0.31.1 allows attackers to provide an unexpected input value to malloc via a malformed bitmap image.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2019-19004"
    },
    {
      "type": "WEB",
      "url": "https://github.com/autotrace/autotrace/pull/40"
    },
    {
      "type": "WEB",
      "url": "https://github.com/autotrace/autotrace/commits/master"
    },
    {
      "type": "WEB",
      "url": "https://github.com/autotrace/autotrace/commits/master/src/input-bmp.c"
    },
    {
      "type": "WEB",
      "url": "https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/NC6MUH2RLVEA634LHBNZ2KO7MQKI2RDZ"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2021-02-11T21:15:00Z"
  }
}